Skip to content

Refund Query

Batch Refund Query

Request URL: GET /search/list/refund

Request Parameters

Note:

  • At least one query condition is required
  • If the query condition is time, the range cannot exceed one month
ParameterTypeRequiredDescription
uniqueIdString(128)OptionalSystem transaction ID
transactionIdString(128)OptionalMerchant transaction request ID
refundTransactionIdString(128)OptionalRefund ID requested by the merchant
refundUniqueIdString(128)OptionalSystem unique refund ID returned by refund
startDateString(32)RequiredTransaction query start time, format (2025-01-01/2025-01-01 00:00:00)
endingDateString(32)RequiredTransaction query end time, format (2025-01-01/2025-01-01 00:00:00)
currPageNumber(20)OptionalSee Pagination Details
pageSizeNumber(3)OptionalSee Pagination Details

Request Example

https://domain/search/list/refund?startDate=2025-02-01&endingDate=2025-02-16&currPage=1

Response Example

For Refund Parameter Details in data

json
{
  "code": 121,
  "message": "Search success",
  "timestamp": 1677825024053,
  "currPage": 1,
  "totalCount": 66,
  "totalPage": 7,
  "pageSize": 10,
  "data": [
    {
      "code": 111,
      "merchantRefundId": "1677823321",
      "uniqueId": "1631534182100414466",
      "refundUniqueId": "1631535378940026882",
      "refundCurrency": "USD",
      "refundAmount": "1.00",
      "refundRequestAt": "2023-03-03 14:02:01",
      "refundAt": "2023-03-03 14:02:01",
      "message": "Refund successful",
      "timestamp": 1677825024053
    },
    {
      ......
    }
  ]
}